## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           contour-terminal
Version:        0.4.3.6442
Release:        %autorelease
Summary:        Modern C++ Terminal Emulator

License:        Apache-2.0
URL:            https://github.com/contour-terminal/contour
Source0:        %{url}/archive/v%{version}/contour-%{version}.tar.gz

ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules
BuildRequires:  fmt-devel
BuildRequires:  guidelines-support-library-devel
BuildRequires:  range-v3-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  libxcb-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  harfbuzz-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libutempter-devel
BuildRequires:  pkgconfig(libssh2)

BuildRequires:  libunicode-devel >= 0.4.0
BuildRequires:  boxed-cpp-devel >= 1.1.0

# provides tic
BuildRequires:  ncurses

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  catch-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Core5Compat)

Requires:       hicolor-icon-theme
Requires:       kf5-kservice
Requires:       kf5-filesystem
Requires:       ncurses-term

%description
Contour is a modern and actually fast, modal, virtual terminal emulator,
for everyday use. It is aiming for power users with a modern feature mindset.

%prep
%autosetup -p1 -n contour-%{version}

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCONTOUR_TESTING=ON \
    -DCONTOUR_QT_VERSION=6 \

%cmake_build

%install
%cmake_install

rm %{buildroot}%{_datadir}/contour/LICENSE.txt
rm %{buildroot}%{_datadir}/contour/README.md
rm %{buildroot}%{_datadir}/terminfo/c/contour

%check
%ctest

desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/contour
%{_datadir}/applications/*.desktop
%{_datadir}/kservices5/ServiceMenus/*.desktop
%dir %{_datadir}/contour
%dir %{_datadir}/contour/shell-integration
%{_datadir}/contour/shell-integration/shell-integration.fish
%{_datadir}/contour/shell-integration/shell-integration.tcsh
%{_datadir}/contour/shell-integration/shell-integration.zsh
%{_datadir}/icons/hicolor/*/apps/*.png
%{_metainfodir}/*.xml

%changelog
## START: Generated by rpmautospec
* Wed Feb 28 2024 Felix Wang <topazus@outlook.com> - 0.4.3.6442-3
- remove terminfo file; require ncurses-term package

* Sat Feb 17 2024 Jan Grulich <jgrulich@redhat.com> - 0.4.3.6442-2
- Rebuild (qt6)

* Mon Feb 05 2024 topazus <topazus@outlook.com> - 0.4.3.6442-1
- update to 0.4.3.6442

* Mon Jan 01 2024 Packit <hello@packit.dev> - 0.4.1.6292-1
- [packit] 0.4.1.6292 upstream release
- Resolves rhbz#2256368

* Mon Jan 01 2024 topazus <topazus@outlook.com> - 0.4.0.6245-4
- fix for unexisted file with new release 0.4.1.6292

* Wed Dec 20 2023 topazus <topazus@outlook.com> - 0.4.0.6245-3
- remove the duplicate packit config file

* Wed Dec 20 2023 Maja Massarini <mmassari@redhat.com> - 0.4.0.6245-2
- Add upstream_tag_template in .packit.yaml

* Wed Dec 20 2023 topazus <topazus@outlook.com> - 0.4.0.6245-1
- update to 0.4.0.6245; rhbz#2255319

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.12.262-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 30 2023 topazus <topazus@outlook.com> - 0.3.12.262-5
- not define build target, so rebuild against fmt 10

* Wed Jun 28 2023 topazus <topazus@outlook.com> - 0.3.12.262-4
- Fix build with fmt 10

* Wed Jun 28 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 0.3.12.262-3
- Rebuilt due to fmt 10 update.

* Sun Jun 18 2023 topazus <topazus@outlook.com> - 0.3.12.262-2
- add Packit CI

* Tue May 30 2023 topazus <topazus@outlook.com> - 0.3.12.262-1
- update to 0.3.12.262

* Sat Mar 11 2023 topazus <topazus@outlook.com> - 0.3.11.258-2
- fix for catch version

* Wed Mar 08 2023 topazus <topazus@outlook.com> - 0.3.11.258-1
- Initial import (rhbz#2174384)
## END: Generated by rpmautospec
